#include<bits/stdc++.h>
using namespace std;
long long n, br; int x[100005], y[100005], z[100005];
int main(){
    cin >> n;
    for(int i = 1; i <= n; i++){
        cin>>x[i];
    }
    for(int i = 1; i <= n; i++){
        cin>>y[i];
    }
    for(int i = 1; i <= n; i++){
        cin>>z[i];
    }
    for(int i = 1; i <= n; i++){
        for(int j = 1; j <= n; j++){
            if(x[i] == y[j]) {
                for(int k = 1; k <= n; k++){
                    if(j == z[k]) br++;
                }
            }
        }
    }
    cout << br;
    return 0;
}